Bug 988834 - (CVE-2013-2189) CVE-2013-2189 openoffice.org, libreoffice: Memory corruption when parsing invalid PLCF data by processing certain DOC files
CVE-2013-2189 openoffice.org, libreoffice: Memory corruption when parsing inv...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130726,repo...
: Security
Depends On:
Blocks: 988835
  Show dependency treegraph
 
Reported: 2013-07-26 09:58 EDT by Jan Lieskovsky
Modified: 2015-07-31 06:59 EDT (History)
8 users (show)

See Also:
Fixed In Version: Apache OpenOffice 4.0, LibreOffice 3.6.7, LibreOffice 4.0.4, LibreOffice 4.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 01:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-26 09:58:58 EDT
A security flaw was found in the way Apache OpenOffice and LibreOffice, office productivity suites, previously used to handle certain, invalid PLCF (Plex of Character Positions in File) elements when parsing selected Microsoft Office Word (DOC) format documents. A remote attacker could provide a specially-crafted DOC format file that, when processed in some application from the Apache OpenOffice or LibreOffice suites would lead to that application crash or, potentially, arbitrary code execution with the privileges of the user running the application.

References:
[1] http://www.openoffice.org/security/cves/CVE-2013-2189.html
[2] http://www.libreoffice.org/advisories/CVE-2013-2189/
Comment 3 Huzaifa S. Sidhpurwala 2013-07-31 01:02:41 EDT
Upstream commits:

Apache OpenOffice:

http://svn.apache.org/r1491721
http://svn.apache.org/r1491725
http://svn.apache.org/r1496364
http://svn.apache.org/r1499266
Comment 5 Huzaifa S. Sidhpurwala 2013-08-02 01:38:01 EDT
This issue affects the version of the openoffice.org package, as shipped with Red Hat Enterprise Linux 5.

--

This issue did not affect the version of the libreoffice package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did not affect the versions of the libreoffice package, as shipped with Fedora release of 18 and 19.
Comment 6 Huzaifa S. Sidhpurwala 2013-08-02 01:39:03 EDT
Statement:

We do not consider a denial of service flaw in a client application such as OpenOffice to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.